## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class ExpressionBindingType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  MethodBindingType, ValueBindingType

    public abstract class ExpressionBindingType

extends BindingType

Abstract meta-data processing type representing an expression binding attribute value runtime type

Provisional API - subject to change

Field Summary
`static java.lang.String` `RUNTIME_PARAMS_TYPES` Valid values is any fully qualified Java type or primitive.
`static java.lang.String` `RUNTIME_RETURN_TYPE` Valid values is any fully qualified Java type or primitive.
`static java.lang.String` `RUNTIME_SETTER_REQUIRED` Value should be set true or false.

Constructor Summary
`ExpressionBindingType()`

Method Summary
`java.util.List` `getValidationMessages()`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RUNTIME_PARAMS_TYPES

    public static final java.lang.String RUNTIME_PARAMS_TYPES

  Valid values is any fully qualified Java type or primitive. Assign a value for each parameter in order

  See Also:
    Constant Field Values

### RUNTIME_RETURN_TYPE

    public static final java.lang.String RUNTIME_RETURN_TYPE

  Valid values is any fully qualified Java type or primitive.

  See Also:
    Constant Field Values

### RUNTIME_SETTER_REQUIRED

    public static final java.lang.String RUNTIME_SETTER_REQUIRED

  Value should be set true or false. If not specified, the default inmplementation assumes false.

  See Also:
    Constant Field Values

Constructor Detail

### ExpressionBindingType

    public ExpressionBindingType()

Method Detail

### getValidationMessages

    public java.util.List getValidationMessages()

  Returns:
    lits of validation messages